> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1webhooksconversion pixel



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/webhooks/conversion-pixel
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/conversion-pixel:
    post:
      tags:
        - ConversionPixel
      operationId: webhooks.conversion-pixel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                object_id:
                  type: string
                  format: uuid
                phone_number:
                  type: string
                team_id:
                  type: string
                  format: uuid
                object_type:
                  type: string
                  enum:
                    - sms_campaign
                    - sms_api
                    - voice_call
                event_type:
                  type: string
                  enum:
                    - click
                    - lead
                    - sale
                ip:
                  type: string
                user_agent:
                  type:
                    - string
                    - 'null'
                country_code:
                  type:
                    - string
                    - 'null'
                  minLength: 2
                  maxLength: 2
                event_profit:
                  type:
                    - number
                    - 'null'
              required:
                - object_type
                - event_type
      responses:
        '200':
          description: '`ConversionPixelResponseData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ConversionPixelResponseData'
                required:
                  - data
        '422':
          $ref: '#/components/responses/ValidationException'
      security:
        - {}
components:
  schemas:
    ConversionPixelResponseData:
      type: object
      properties:
        conversion_pixel_id:
          type: string
        is_new:
          type: boolean
        object_type:
          $ref: '#/components/schemas/ConversionObjectTypeEnum'
      required:
        - conversion_pixel_id
        - is_new
        - object_type
      title: ConversionPixelResponseData
    ConversionObjectTypeEnum:
      type: string
      enum:
        - sms_campaign
        - sms_api
        - voice_call
      title: ConversionObjectTypeEnum
  responses:
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````